package cn.bunny.pattern15.state;

public class OpeningLiftState extends LiftState {
    /**
     * 开门动作
     */
    @Override
    public void open() {
        System.out.println("电梯门慢慢打开。。。");
    }

    /**
     * 关门动作
     */
    @Override
    public void close() {
        super.lift.setCurrentLiftState(Lift.CLOSE_STATE);
        super.lift.getCurrentLiftState().close();
    }

    /**
     * 运行动作
     */
    @Override
    public void run() {

    }

    /**
     * 停止动作
     */
    @Override
    public void stop() {

    }
}
